Package org.eclipse.ui

# Interface IMarkerResolutionGenerator

All Known Subinterfaces:
  `IMarkerResolutionGenerator2`

All Known Implementing Classes:
  `ProjectEncodingMarkerResolutionGenerator`

public interface IMarkerResolutionGenerator
Creates resolutions for a given marker. When run, a resolution would typically eliminate the need for the marker.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`IMarkerResolution[]`
`getResolutions(IMarker marker)`
Returns resolutions for the given marker (may be empty).

## Method Details

### getResolutions

IMarkerResolution[] getResolutions(IMarker marker)
Returns resolutions for the given marker (may be empty).

Parameters:
  `marker` - the marker
Returns:
  resolutions for the given marker